﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Drawing.Imaging;

namespace Resizer
{
    class ImageIO : IImageIO
    {
        private static ImageCodecInfo _jpegCodec = GetImageEncoder("JPEG");
        private const int _compression = 90;

        public Image ReadImage(string file)
        {
            return new Bitmap(file);
        }

        public void SaveImage(Image image, string fileName)
        {
            /*
            EncoderParameters parameters = new EncoderParameters(1);
            parameters.Param[0] = new EncoderParameter(Encoder.Quality, 90);
            image.Save(fileName, _jpegCodec, parameters);
             */ 
            image.Save(fileName, ImageFormat.Jpeg);
            
        }

        private static ImageCodecInfo GetImageEncoder(string imageType)
        {
            imageType = imageType.ToUpperInvariant();

            foreach (ImageCodecInfo info in ImageCodecInfo.GetImageEncoders())
            {
                if (info.FormatDescription == imageType)
                {
                    return info;
                }
            }

            throw new ApplicationException("Encoder not found: " + imageType);
        }

    }
}
