﻿using System;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace Resizer
{
    class ImageResizer : MarshalByRefObject
    {
        public Image Resize(Image source, Size size)
        {
            Image result = new Bitmap(size.Width, size.Height);

            using (Graphics graphic = Graphics.FromImage( result ))
            {
                graphic.InterpolationMode = InterpolationMode.HighQualityBicubic;
                graphic.SmoothingMode = SmoothingMode.HighQuality;
                graphic.PixelOffsetMode = PixelOffsetMode.HighQuality;
                graphic.CompositingQuality = CompositingQuality.HighQuality;
                graphic.DrawImage(source, 0, 0, result.Width, result.Height);
            }

            return result;
        }
    }
}
