﻿using System;
using System.Drawing;

namespace Resizer
{
    class ScaleCalculator : MarshalByRefObject
    {
        int _size;

        public ScaleCalculator(int size) 
        {
            _size = size;
        }

        public Size Resize(Size original)
        {
            if (original.Width > original.Height)
            {
                return SizeToWidth(original);
            }
            else
            {
                return SizeToHeight(original);
            }
        }

        private Size SizeToWidth( Size original )
        {
            Size result = new Size();
            result.Width = _size;
            result.Height = (int)(original.Height * (double)_size / original.Width + 0.5);
            return result;
        }
        
        private Size SizeToHeight( Size original )
        {
            Size result = new Size();
            result.Height = _size;
            result.Width = (int)(original.Width * (double)_size / original.Height + 0.5);
            return result;
        }
    }
}
