﻿using System.Drawing;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Resizer.Tests
{
    [TestClass]
    public class ScaleCalculatorTest
    {
        [TestMethod]
        public void Result_Width_Equals_Target_Size_On_Wide_Image()
        {
            Size wide = new Size(300, 150);
            Size result = new ScaleCalculator(100).Resize(wide);
            Assert.AreEqual(new Size(100, 50), result);
        }

        [TestMethod]
        public void Result_Height_Equals_Target_Size_On_Narrow_Image()
        {
            Size narrow = new Size(200, 400);
            Size result = new ScaleCalculator(100).Resize(narrow);
            Assert.AreEqual(new Size(50, 100), result);
        }
    }
}
